# Created by pyp2rpm-3.3.2
%global pypi_name more-itertools

%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.12.0
Release:        %mkrel 1
Summary:        More routines for operating on iterables, beyond itertools
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/more-itertools
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-six

%description -n python3-%{pypi_name}
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n python-%{pypi_name}-doc
Summary:        more-itertools documentation

%description -n python-%{pypi_name}-doc
Documentation for more-itertools

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-%{pypi_name}
%doc docs/license.rst LICENSE
%doc README.rst
%{python3_sitelib}/more_itertools
%{python3_sitelib}/more_itertools-%{version}-py%{python3_version}.egg-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%license docs/license.rst LICENSE
%endif


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 8.12.0-1pclos2022
- update and rebuild for python 3.10

* Sat Jan 05 2019 tex 5.0.0-1pclos2019
- imported package python-more-itertools

